Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module
Class ModuleScreen

    java.lang.Object
      dioscuri.module.AbstractModule
          dioscuri.module.ModuleScreen

All Implemented Interfaces:
  Module

Direct Known Subclasses:
  Screen

    public abstract class ModuleScreen

extends AbstractModule

Abstract class representing a generic screen module.

Nested Class Summary

Nested classes/interfaces inherited from interface dioscuri.interfaces.Module
`Module.Type`

Field Summary

Fields inherited from class dioscuri.module.AbstractModule
`type`

Constructor Summary
`ModuleScreen()`

Method Summary
`abstract void` | `clearScreen()` Clear screen from any output
`abstract javax.swing.JPanel` | `getScreen()` Return a reference to the actual screen
`abstract int` | `getScreenColumns()` Return the number of columns on screen (text based)
`abstract int` | `getScreenHeight()` Return height of screen in number of pixels
`abstract int` | `getScreenRows()` Return the number of rows on screen (text based)
`abstract int` | `getScreenWidth()` Return width of screen in number of pixels
`abstract void` | `setByteInCodePage(int index, byte data)` Set a byte in Code page The code page is the character encoding table
`abstract boolean` | `setPaletteColour(byte index, int red, int green, int blue)` Set a particular colour in palette with RGB-values
`abstract void` | `setScreenSize(int width, int height)` Set the screen size in number of pixels
`abstract void` | `updateCodePage(int startAddress)` Update the code page The code page is the character encoding table
`abstract void` | `updateGraphicsTile(byte[] tile, int startPositionX, int startPositionY)` Update a tile on screen with given bytes Graphics mode.
`abstract void` | `updateScreenSize(int screenWidth, int screenHeight, int fontWidth, int fontHeight)` Update screen size
`abstract void` | `updateText(int oldText, int newText, long cursorXPos, long cursorYPos, short[] textModeAttribs, int numberOfRows)` Update text on screen at given position Text mode.

Methods inherited from class dioscuri.module.AbstractModule
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleScreen

    public ModuleScreen()

Method Detail

### getScreen

    public abstract javax.swing.JPanel getScreen()

  Return a reference to the actual screen

  Returns:
    -

### clearScreen

    public abstract void clearScreen()

  Clear screen from any output

### getScreenRows

    public abstract int getScreenRows()

  Return the number of rows on screen (text based)

  Returns:
    -

### getScreenColumns

    public abstract int getScreenColumns()

  Return the number of columns on screen (text based)

  Returns:
    -

### getScreenWidth

    public abstract int getScreenWidth()

  Return width of screen in number of pixels

  Returns:
    -

### getScreenHeight

    public abstract int getScreenHeight()

  Return height of screen in number of pixels

  Returns:
    -

### setScreenSize

    public abstract void setScreenSize(int width,
                                       int height)

  Set the screen size in number of pixels

  Parameters:
    `width` -
    `height` -

### updateScreenSize

    public abstract void updateScreenSize(int screenWidth,
                                          int screenHeight,
                                          int fontWidth,
                                          int fontHeight)

  Update screen size

  Parameters:
    `screenWidth` -
    `screenHeight` -
    `fontWidth` -
    `fontHeight` -

### updateCodePage

    public abstract void updateCodePage(int startAddress)

  Update the code page The code page is the character encoding table

  Parameters:
    `startAddress` -

### setByteInCodePage

    public abstract void setByteInCodePage(int index,
                                           byte data)

  Set a byte in Code page The code page is the character encoding table

  Parameters:
    `index` -
    `data` -

### setPaletteColour

    public abstract boolean setPaletteColour(byte index,
                                             int red,
                                             int green,
                                             int blue)

  Set a particular colour in palette with RGB-values

  Parameters:
    `index` -
    `red` -
    `green` -
    `blue` -
  Returns:
    -

### updateGraphicsTile

    public abstract void updateGraphicsTile(byte[] tile,
                                            int startPositionX,
                                            int startPositionY)

  Update a tile on screen with given bytes Graphics mode. A tile is a part of the screenbuffer

  Parameters:
    `tile` -
    `startPositionX` -
    `startPositionY` -

### updateText

    public abstract void updateText(int oldText,
                                    int newText,
                                    long cursorXPos,
                                    long cursorYPos,
                                    short[] textModeAttribs,
                                    int numberOfRows)

  Update text on screen at given position Text mode. Selected text will replace existing text at given position

  Parameters:
    `oldText` -
    `newText` -
    `cursorYPos` -
    `cursorXPos` -
    `numberOfRows` -
    `textModeAttribs` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD